shishi_ticket_add_enc_part(3)

NAME
shishi_ticket_add_enc_part - API function

SYNOPSIS
#include <shishi.h>

int shishi_ticket_add_enc_part(Shishi * handle, Shishi_asn1 ticket, Shishi_key * key, Shishi_asn1 encticketpart);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 ticket
    Ticket to add enc-part field to.

Shishi_key * key
    key used to encrypt enc-part.

Shishi_asn1 encticketpart
    EncTicketPart to add.

DESCRIPTION
Encrypts DER encoded EncTicketPart using key and stores it in the Ticket.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.